<?php
require_once ("VLSIuser.php");
session_start();
$jmsess="ulozADDPROJ";

// je odeslano????
if (!isset($_POST['odeslane'])){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}
if ($_POST['odeslane']!="Odeslat"){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}

//kontrola spravnosti prichozich dat
if (isset($_POST['nazev'])){$nazev=trim($_POST['nazev']);}else {$nazev="";}
if (isset($_POST['nazeveng'])){$nazeveng=trim($_POST['nazeveng']);}else {$nazeveng="";}
if (isset($_POST['popis'])){$popis=trim($_POST['popis']);}else {$popis="";}
if (isset($_POST['rozsah'])){$rozsah=trim($_POST['rozsah']);}else {$rozsah="";}
if (isset($_POST['literatura'])){$literatura=trim($_POST['literatura']);}else {$literatura="";}

if (isset($_POST['typ'])){$typ=$_POST['typ'];} else {unseting($jmsess);header ("Location: edit.php?stav=3");exit;}
// kontrola zda je typ cislo
if (is_numeric($typ)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $typ=(int)$typ;
//kontrola zda typ je v mezich poctu listu
     if ($typ<1||$typ>4){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}
}else{unseting($jmsess);header ("Location: edit.php?stav=3");exit;}

//prisli pripustne hodnoty.... kontrola delek pro db
$prvni=true;
$is_chyba=false;
$chyba="";
if (strlen($nazev)==0){$prvni=false;$is_chyba=true;$chyba.="chybinazev=true";}

if (strlen($nazev)>320){ if($prvni==true){$prvni=false;$is_chyba=true;$chyba.="nazevchyba=true";}else{$chyba.="&nazevchyba=true";} }
if (strlen($nazeveng)>320){ if($prvni==true){$prvni=false;$is_chyba=true;$chyba.="nazevengchyba=true";}else{$chyba.="&nazevengchyba=true";} }
if (strlen($rozsah)>40){ if($prvni==true){$prvni=false;$is_chyba=true;$chyba.="rozsahchyba=true";}else{$chyba.="&rozsahchyba=true";} }
if (strlen($literatura)>320){ if($prvni==true){$prvni=false;$is_chyba=true;$chyba.="literchyba=true";}else{$chyba.="&literchyba=true";} }


if($slashes==1){
$chyba.="&nazev=".stripslashes($nazev)."&nazeveng=".stripslashes($nazeveng)."&popis=".stripslashes($popis)."&rozsah=".stripslashes($rozsah)."&literatura=".stripslashes($literatura)."&obor=".$typ;}
else{$chyba.="&nazev=$nazev&nazeveng=$nazeveng&popis=$popis&rozsah=$rozsah&literatura=$literatura&obor=$typ";}


if ($is_chyba){header ("Location: addproj.php?".SID."&$chyba");exit;}

// pokud nenastala chyba, jde to do db

if ($slashes==0){
$nazev=addslashes($nazev);
$nazeveng=addslashes($nazeveng);
$popis=addslashes($popis);
$rozsah=addslashes($rozsah);
$literatura=addslashes($literatura);
}
// vytvareni dotazu
$polozky="INSERT INTO projects (nazev";
$hodnoty=") VALUES ('".$nazev."'";
if ($nazeveng!=""){ $polozky=$polozky.",nazeveng";
                    $hodnoty=$hodnoty.",'".$nazeveng."'";}
if ($popis!=""){ $polozky=$polozky.",popis";
                    $hodnoty=$hodnoty.",'".$popis."'";}
if ($rozsah!=""){ $polozky=$polozky.",rozsah";
                    $hodnoty=$hodnoty.",'".$rozsah."'";}
if ($literatura!=""){ $polozky=$polozky.",literatura";
                    $hodnoty=$hodnoty.",'".$literatura."'";}
$polozky=$polozky.",typ,zadavatel";
$hodnoty=$hodnoty.",'".$typ."','".$user['username']."')";
$dotaz=$polozky.$hodnoty;


//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){unseting($jmsess);die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";

if (!isset($_SESSION[$jmsess]) || $_SESSION[$jmsess]==false){unseting($jmsess);
  header ("Location: edit.php?stav=5");exit();}
  unseting($jmsess);

// insert do projektu
$res=$db->query ($dotaz);
// zda sme z db dostali kloudny vysledek
if (gettype($res) != 'resource') {
     header ("Location: edit.php?stav=4");exit;
	} else {
$db->close();
header ("Location: edit.php?stav=1");exit;}
?>
